<?php //to use wp udpate plugin

    $home_id=''; $blog_id=''; $page_id=''; $about_id='';


    // Function to check if a page with a specific title exists
    function page_exists_by_title($title) {
      $page_query = new WP_Query(array(
          'post_type'   => 'page',
          'title'       => $title,
          'post_status' => 'publish',
          'numberposts' => 1
      ));
      
      if ($page_query->have_posts()) {
          // Return the ID of the first matching page
          $page = $page_query->posts[0];
          return $page->ID;
      }
    
      return false; // Return false if no page found
    }

    //Homepage
    $home_title = 'Home';
    if (!page_exists_by_title($home_title)) {
      $home_content = '';
      $home = array(
        'post_type'    => 'page',
        'post_title'   => $home_title,
        'post_content' => $home_content,
        'post_status'  => 'publish',
        'post_author'  => 1,
        'post_name'    => 'home'
      );

      $home_id = wp_insert_post($home);
      
      // Set the home page template
      add_post_meta($home_id, '_wp_page_template', 'page-template/custom-home-page.php');
      
      // Set the static front page
      update_option('page_on_front', $home_id);
      update_option('show_on_front', 'page');

    }else {
      // Get the ID of the existing page
      $home_id = page_exists_by_title($home_title);

      // Set the home page template
      add_post_meta($home_id, '_wp_page_template', 'page-template/custom-home-page.php');
      
      // Set the static front page
      update_option('page_on_front', $home_id);
      update_option('show_on_front', 'page');
    }
    


    // Create a Page if it doesn't exist
    if ( !page_exists_by_title('Page') ) {
      $page_title = 'Page';
      $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel';

      $ot_page = array(
        'post_type'     => 'page',
        'post_title'    => $page_title,
        'post_content'  => $content,
        'post_status'   => 'publish',
        'post_author'   => 1,
        'post_name'     => 'page'
      );
      $page_id = wp_insert_post($ot_page);
    }else {
      // Get the ID of the existing page
      $ot_page = page_exists_by_title('Page');
    }

    if ( !page_exists_by_title('Page Left Sidebar') ) {
      $page_title = 'Page Left Sidebar';
      $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semelTe obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.';

      $ot_page = array(
        'post_type'     => 'page',
        'post_title'    => $page_title,
        'post_content'  => $content,
        'post_status'   => 'publish',
        'post_author'   => 1,
        'post_name'     => 'page-left'
      );
      $page_id = wp_insert_post($ot_page);

      // Set the page template
      add_post_meta($page_id, '_wp_page_template', 'page-template/left-sidebar.php');
    }else {
      // Get the ID of the existing page
      $ot_page = page_exists_by_title('Page Left Sidebar');
    }

    if ( !page_exists_by_title('Page Right Sidebar') ) {
      $page_title = 'Page Right Sidebar';
      $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semelTe obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.';

      $ot_page = array(
        'post_type'     => 'page',
        'post_title'    => $page_title,
        'post_content'  => $content,
        'post_status'   => 'publish',
        'post_author'   => 1,
        'post_name'     => 'page-right'
      );
      $page_id = wp_insert_post($ot_page);

      // Set the page template
      add_post_meta($page_id, '_wp_page_template', 'page-template/right-sidebar.php');
    }else {
      // Get the ID of the existing page
      $ot_page = page_exists_by_title('Page Right Sidebar');
    }

    if ( ! page_exists_by_title('Change Your Lifestyle In Just Few Days With Nutritionist') ) {
      $page_title = 'Change Your Lifestyle In Just Few Days With Nutritionist';
      $content = 'We make your health and wellness the priority of your life, Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur accusantium.Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem ut aliquip ommodo consequat.';

      $nutrition_diet_about_page = array(
          'post_type'     => 'page',
          'post_title'    => $page_title,
          'post_content'  => $content,
          'post_status'   => 'publish',
          'post_author'   => 1,
          'post_name'     => 'service'
      );
      $nutrition_diet_about_page_id = wp_insert_post($nutrition_diet_about_page);

      $nutrition_diet_about_image_url = get_template_directory_uri().'/assets/images/about.jpg';

      $nutrition_diet_about_image_name = 'about.jpg';
      $nutrition_diet_about_upload_dir       = wp_upload_dir(); 
      // Set upload folder
      $nutrition_diet_about_image_data       = file_get_contents($nutrition_diet_about_image_url); 
       
      // Get image data
      $nutrition_diet_about_unique_file_name = wp_unique_filename( $nutrition_diet_about_upload_dir['path'], $nutrition_diet_about_image_name ); 
      // Generate unique name
      $filename= basename( $nutrition_diet_about_unique_file_name ); 
      // Create image file name
      // Check folder permission and define file location
      if( wp_mkdir_p( $nutrition_diet_about_upload_dir['path'] ) ) {
          $file = $nutrition_diet_about_upload_dir['path'] . '/' . $filename;
      } else {
          $file = $nutrition_diet_about_upload_dir['basedir'] . '/' . $filename;
      }
      file_put_contents( $file, $nutrition_diet_about_image_data );
      $wp_filetype = wp_check_filetype( $filename, null );
      $nutrition_diet_about_attachment = array(
          'post_mime_type' => $wp_filetype['type'],
          'post_title'     => sanitize_file_name( $filename ),
          'post_content'   => '',
          'post_status'    => 'inherit'
      );
      $attach_id = wp_insert_attachment( $nutrition_diet_about_attachment, $file, $nutrition_diet_about_page_id );
      require_once(ABSPATH . 'wp-admin/includes/image.php');
      $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
          wp_update_attachment_metadata( $attach_id, $attach_data );
          set_post_thumbnail( $nutrition_diet_about_page_id, $attach_id );
    } else {
      // Get the ID of the existing page
      $nutrition_diet_about_page_id = page_exists_by_title('Change Your Lifestyle In Just Few Days With Nutritionist');
    }

    // ------- Create Left Menu --------
    $menuname =  'Main Menu';
    $bpmenulocation = 'primary';
    $menu_exists = wp_get_nav_menu_object( $menuname );

    if (!$menu_exists) {
      // Create the menu
      $menu_id = wp_create_nav_menu($menuname);

      // Add the HOME item
      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Home', 'fitmeal-dietitian'),
          'menu-item-classes' => 'home',
          'menu-item-url'     => home_url('/index.php/home/'),
          'menu-item-status'  => 'publish'
      ));

      // Add the PAGE item
      $parent_page_item_id = wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Pages', 'fitmeal-dietitian'),
          'menu-item-classes' => 'page',
          'menu-item-url'     => home_url('/index.php/page/'),
          'menu-item-status'  => 'publish'
      ));

      // Add the Page Left Sidebar item as a child of PAGE
      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'   => __('Page Left Sidebar', 'fitmeal-dietitian'),
          'menu-item-classes' => 'page-left',
          'menu-item-url'     => home_url('/index.php/page-left/'),
          'menu-item-status'  => 'publish',
          'menu-item-parent-id' => $parent_page_item_id
      ));

      // Add the Page Right Sidebar item as a child of PAGE
      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'   => __('Page Right Sidebar', 'fitmeal-dietitian'),
          'menu-item-classes' => 'page-right',
          'menu-item-url'     => home_url('/index.php/page-right/'),
          'menu-item-status'  => 'publish',
          'menu-item-parent-id' => $parent_page_item_id
      ));

      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('About', 'fitmeal-dietitian'),
          'menu-item-classes' => 'about',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));

      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Services', 'fitmeal-dietitian'),
          'menu-item-classes' => 'services',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));

      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Blog', 'fitmeal-dietitian'),
          'menu-item-classes' => 'blog',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));

      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Contact Us', 'fitmeal-dietitian'),
          'menu-item-classes' => 'contactus',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));
      
      // Assign the menu to the desired location if not already assigned
      if (!has_nav_menu($bpmenulocation)) {
          $locations = get_theme_mod('nav_menu_locations');
          $locations[$bpmenulocation] = $menu_id;
          set_theme_mod('nav_menu_locations', $locations);
      }
    }
       
    // --------Header------------------------

    set_theme_mod( 'nutrition_diet_call_number', ' +1-101-202-3033' ); 

    set_theme_mod( 'nutrition_diet_call_icon', 'fas fa-phone' ); 

    set_theme_mod( 'nutrition_diet_email_address', 'support@example.com' ); 

    set_theme_mod( 'nutrition_diet_mail_icon', 'fas fa-envelope' ); 

    set_theme_mod( 'nutrition_diet_donate_btn_link', '#' );

    set_theme_mod( 'nutrition_diet_donate_btn_text', 'Book Your Free Slot' );

    //-------------- Slider-----------------------

    set_theme_mod('nutrition_diet_slider_count','4');

    set_theme_mod('nutrition_diet_extra_text','Trusted By Thousands');

    for($i=1;$i<=4;$i++){

      $title = 'Let Experts Take Care of Your Health & Wellness!';
      $content = 'We make your health and wellness the priority of your life';

      // Create post object
      $nutrition_diet_my_post = array(
       'post_title'    => wp_strip_all_tags( $title ),
       'post_content'  => $content,
       'post_status'   => 'publish',
       'post_type'     => 'post',
      );

      $nutrition_diet_slider_post_id = wp_insert_post($nutrition_diet_my_post);

      $nutrition_diet_post_image_url = get_template_directory_uri().'/assets/images/header-img-1.jpg';

      $nutrition_diet_image_name = 'header-img-1.jpg';
      $nutrition_diet_upload_dir       = wp_upload_dir(); 
      // Set upload folder
      $nutrition_diet_image_data       = file_get_contents($nutrition_diet_post_image_url); 
       
      // Get image data
      $nutrition_diet_unique_file_name = wp_unique_filename( $nutrition_diet_upload_dir['path'], $nutrition_diet_image_name ); 
      // Generate unique name
      $filename= basename( $nutrition_diet_unique_file_name ); 
      // Create image file name
      // Check folder permission and define file location
      if( wp_mkdir_p( $nutrition_diet_upload_dir['path'] ) ) {
          $file = $nutrition_diet_upload_dir['path'] . '/' . $filename;
      } else {
          $file = $nutrition_diet_upload_dir['basedir'] . '/' . $filename;
      }
      file_put_contents( $file, $nutrition_diet_image_data );
      $wp_filetype = wp_check_filetype( $filename, null );
      $nutrition_diet_attachment = array(
          'post_mime_type' => $wp_filetype['type'],
          'post_title'     => sanitize_file_name( $filename ),
          'post_content'   => '',
          'post_type'     => 'post',
          'post_status'    => 'inherit'
      );
      $attach_id = wp_insert_attachment( $nutrition_diet_attachment, $file, $nutrition_diet_slider_post_id );
      require_once(ABSPATH . 'wp-admin/includes/image.php');
      $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
          wp_update_attachment_metadata( $attach_id, $attach_data );
          set_post_thumbnail( $nutrition_diet_slider_post_id, $attach_id );

      // Set theme mod for each post created
      set_theme_mod('nutrition_diet_post_setting' . $i, $nutrition_diet_slider_post_id);

    }

    //-------------- About-----------------------

    set_theme_mod('nutrition_diet_calling_text','Get Your Free Personalized Nutrition Plan');

    set_theme_mod('nutrition_diet_calling_number','(+1) 101-202-3033');

    set_theme_mod('nutrition_diet_about_title','Why Choose Us?');

    set_theme_mod('nutrition_diet_about_button_2_link','#');

    set_theme_mod('nutrition_diet_about_button_2_text','Get In Touch');

    set_theme_mod( 'nutrition_diet_middle_sec_page_settigs', $nutrition_diet_about_page_id );

    //-------------- Product-----------------------

    set_theme_mod('nutrition_diet_shop_text','Shop With Us');

    set_theme_mod('nutrition_diet_shop_title','Healthy & Fresh Meal For You');

    set_theme_mod('fitmeal_dietitian_shop_number','6');


    $product_price=array('$05','$10','$05','$15','$05','$10');

    wp_insert_term(
      'Best_Products', // the term
      'product_cat', // the taxonomy
      array(
      'description'=> '',
      'slug' => 'Best_Products',
      'term_id'=>12,
      'term_taxonomy_id'=>34,
    ));


    if ( class_exists( 'WooCommerce' ) ) {
      for($i=1;$i<=6;$i++) {
        $title = 'Green Healthy Salad';
        $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi.';

        // Create post object
        $fitmeal_dietitian_my_post = array(
          'post_title'    => wp_strip_all_tags( $title ),
          'post_content'  => $content,
          'post_status'   => 'publish',
          'post_type'     => 'product',
        );

        // Insert the post into the database
        $fitmeal_dietitian_product_id = wp_insert_post( $fitmeal_dietitian_my_post );
        // Gets term object from Tree in the database.
        $term = get_term_by('name', 'Best_Products', 'product_cat');
        wp_set_object_terms($fitmeal_dietitian_product_id, $term->term_id, 'product_cat');

        update_post_meta( $fitmeal_dietitian_product_id, '_price', $product_price[$i-1] );
        update_post_meta( $fitmeal_dietitian_product_id, '_regular_price', $product_price[$i-1] );
      
        $fitmeal_dietitian_product_image_url = get_stylesheet_directory_uri().'/assets/images/product'.$i.'.jpg';

      $fitmeal_dietitian_product_image_name = 'product'.$i.'.jpg';
      $fitmeal_dietitian_product_upload_dir       = wp_upload_dir(); 
      // Set upload folder
      $fitmeal_dietitian_product_image_data       = file_get_contents($fitmeal_dietitian_product_image_url); 
       
      // Get image data
      $fitmeal_dietitian_product_unique_file_name = wp_unique_filename( $fitmeal_dietitian_product_upload_dir['path'], $fitmeal_dietitian_product_image_name ); 
      // Generate unique name
      $filename= basename( $fitmeal_dietitian_product_unique_file_name ); 
      // Create image file name
      // Check folder permission and define file location
      if( wp_mkdir_p( $fitmeal_dietitian_product_upload_dir['path'] ) ) {
          $file = $fitmeal_dietitian_product_upload_dir['path'] . '/' . $filename;
      } else {
          $file = $fitmeal_dietitian_product_upload_dir['basedir'] . '/' . $filename;
      }
      file_put_contents( $file, $fitmeal_dietitian_product_image_data );
      $wp_filetype = wp_check_filetype( $filename, null );
      $fitmeal_dietitian_product_attachment = array(
          'post_mime_type' => $wp_filetype['type'],
          'post_title'     => sanitize_file_name( $filename ),
          'post_content'   => '',
          'post_type'     => 'product',
          'post_status'    => 'inherit'
      );
      $attach_id = wp_insert_attachment( $fitmeal_dietitian_product_attachment, $file, $fitmeal_dietitian_product_id );
      require_once(ABSPATH . 'wp-admin/includes/image.php');
      $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
          wp_update_attachment_metadata( $attach_id, $attach_data );
          set_post_thumbnail( $fitmeal_dietitian_product_id, $attach_id );
        
      }
    }
    set_theme_mod( 'fitmeal_dietitian_shop_category', 'Best_Products' );

?>